
<?php
/*
Plugin Name:  Edalitics
Plugin URI:   https://www.edalitics.com/
Description:  Edalitics plugin. Gateway to connect wordpress's woocommerce platform with edalitics service. Edalitics service is the SaaS analytics service Jortilles provide over the analyitcal tool Enterprise Data Analytics (EDA) 
Version:      0.1.0
Author:       Jortilles 
Author URI:   https://www.jortilles.com
License:      GPL2
License URI:  https://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  edalitics
*/



function edalitics() {
    wp_register_style('edalitics', plugins_url('style.css',__FILE__ ));
    wp_enqueue_style('edalitics');
}

add_action( 'admin_init','edalitics');



function display_edalitics_page() {


echo "<div  id='div_edalitics'>";
echo "<a href=\"https://edalitics.com\" target=\"_blank\">";
echo '<img src="';
echo plugins_url( 'edalitics.png', __FILE__ );
echo '" />';
echo "</a>";
echo "<div id='div_edalitics_main' >";
echo "<a href='https://edalitics.com' target='_blank'><b>Edal<span style='color: #009cc8;'>i</span>tics</b></a>:";
echo " Connect your Woocommerce data with";
echo " <span style='color: #009cc8;'>E</span>nterprise  <span style='color: #009cc8;'>D</span>ata <span style='color: #009cc8;'>A</span>nalytics";
echo "  to have extra analytical power.</div>";
echo "<h2>How it works?</h2>";
echo "<p>Edal<span style='color: #009cc8;'>i</span>tics just connect your wordpress with <b>https://edalitics.com/myshop</b> instance.";
echo " After that you can analyze your shop's data like never before.</p>";
echo "<div id='div_edalitics_comp_table_container'> <table id='div_edalitics_comp_table'><tr>";
echo "<th>Edal<span style='color: #009cc8;'>i</span>tics Free</th>";
echo "<th>Edal<span style='color: #009cc8;'>i</span>tics Base</th>";
echo "<th>Edal<span style='color: #009cc8;'>i</span>tics Pro</th>";
echo "</tr>";

echo "<tr>";
echo "<td>Edal<span style='color: #009cc8;'>i</span>tics connects  your shop  with <br> https://edalitics.com/myshop </td>";
echo "<td>Edal<span style='color: #009cc8;'>i</span>tics connects  your shop  with <br> https://edalitics.com/myshop </td>";
echo "<td>Edal<span style='color: #009cc8;'>i</span>tics connects  your shop  with <br> https://edalitics.com/myshop  <br> or you can customize your URL to have your own name <br> https://MyCompany.edalitics.com</td>";
echo "</tr>";


echo "<tr>";
echo "<td>Data resides in your wordpress.  <br> (*)This could have performance issues. </td>";
echo "<td>Edal<span style='color: #009cc8;'>i</span>tics syncronize your data <b>daily</b> </td>";
echo "<td><b>Live</b> data syncronization</td>";
echo "</tr>";

echo "<tr>";
echo "<td>  </td>";
echo "<td><b>Google Analytics Sincronization</b></td>";
echo "<td><b>Google Analytics Sincronization</b></td>";
echo "</tr>";

echo "<tr>";
echo "<td>  </td>";
echo "<td><a href='https://www.edalitics.com/asp-products/edalitics-woocommerce-integration-base-en/' class='edalitics_link_button' > Get It</a></td>";
echo "<td><a href='https://www.edalitics.com/asp-products/edalitics-woocommerce-integration-pro-en/' class='edalitics_link_button' > Get It</a></td>";
echo "</tr>";
echo "</table></div>";
echo "<hr>";
echo "<div id='div_edalitics_activation'>";
echo "<h2>Edal<span style='color: #009cc8;'>i</span>tics Activation Gateway</h2>";
echo "<p>Just <b>connect</b> your shop's data <b>and start analyzing</b>.";
echo "When you \"create\"  the gateway. A link will be created with Edal<span style='color: #009cc8;'>i</span>tics server so you can access to your data.</p>";

echo '<form action="';
echo plugins_url( 'create.php', __FILE__ );
echo '" method="post">  
<table>
<tr><td>Your shop name: </td><td><input type="text" id="username" name="username"></td></tr>
<tr><td>Your Email (This will be the user on Edal<span style="color: #009cc8;">i</span>tics):</td><td> <input type="text" id="email" name="email" ></td></tr>
<tr><td>If you have Edal<span style="color: #009cc8;">i</span>tics  Base or Pro insert your activation code: </td><td> <input type="text" id="acode" name="acode" ></td></tr>
<tr><td>Language</td><td><select name="locale" id="locale"> <option value="en">English</option> <option value="es">Español</option> </select></td></tr>
<tr><td>You agree we send you news & updates? <input type="checkbox" id="updates" name="updates" value="true" checked></td><td> <input class="boton_personalizado" type="submit" value="Create Gateway">  </td></tr>
</table>
</form>';
echo "<br>";
echo "</div>";
echo "<hr>";

echo '<div id="div_edalitics_delete">';
echo '<form action="';
echo plugins_url( 'delete.php', __FILE__ );
echo '" method="get"> 
    <h2>Edal<span style="color: #009cc8;">i</span>tics Delete Gateway</h2>
    <p>If you have tested Edal<span style="color: #009cc8;">i</span>tics and you don\'n like it you can delete the gateway from here.  
    All data will be deleted and nothing will remains on Edal<span style="color: #009cc8;">i</span>tics. </p>
    <input type="hidden" id="host" name="host" value="'.DB_HOST.'">
    <input type="hidden" id="name" name="name" value="'.DB_NAME.'">
    <p>Your email <input type="text" id="email" name="email" > <input class="boton_personalizado" type="submit" value="Delete Gateway">  </p>
    </form>
';
echo "</div>";

}

function Edalitics_gateway() {
  add_menu_page(
        'Edalitics',// page title
        'Edalitics',// menu title
        'manage_options',// capability
        'edalitics',// menu slug
        'display_edalitics_page' // callback function
    );
}
add_action('admin_menu', 'Edalitics_gateway');
?>
