<?php

 require_once('/var/www/html/wordpress/wp-config.php');

function generateEDAPassword($length){
    $p = "";
    $pattern = "1234567890abcdefghijklmnopqrstuvwxyz";
    $max = strlen($pattern)-1;
    for($i = 0; $i < $length; $i++){
        $p .= substr($pattern, mt_rand(0,$max), 1);
    }
    return $p;
}


$eda_user = "eda_user";
$eda_pass = generateEDAPassword(10);

$eda_user_password = generateEDAPassword(10);


$mysqli = new mysqli(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
if ($mysqli->connect_errno) {
    echo "We could not connect with the databaseon MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
}

if (!$mysqli->query("CREATE USER 'eda_user'@'%' IDENTIFIED BY  '$eda_pass'") ) {
   # echo "Falló la creación del usuario eda_user usando el usuario por defecto" ;
    $eda_user = DB_USER;
    $eda_pass = DB_PASSWORD;
    
}else{

  if (!$mysqli->query("GRANT SELECT ON ".DB_NAME." . * TO 'eda_user'@'%'") ) {
   # echo "Falló el grant" . $mysqli->error;
  }
}

if (!$mysqli->query("create OR REPlACE view eda_productos as
select post_title as producto,sku.product_id, sku.codigo_producto, rp.precio, sp.precio_descuento as precio_con_descuento, ts.ventas_totales, pml.stock_quantity as cantidad_en_stock , pml.stock_status as estado_del_stock
from wp_posts p
inner join ( select meta_value  as codigo_producto , post_id  as product_id
from wp_postmeta where meta_key  = '_sku' ) sku on p.ID = sku.product_id
inner join ( select meta_value  as precio , post_id  as product_id
from wp_postmeta where meta_key  = '_regular_price' ) rp on p.ID = rp.product_id
inner join ( select meta_value  as precio_descuento , post_id  as product_id
from wp_postmeta where meta_key  = '_sale_price') sp on p.ID = sp.product_id
inner join ( select meta_value  as ventas_totales , post_id  as product_id
from wp_postmeta where meta_key  = 'total_sales' ) ts on p.ID = ts.product_id
inner join wp_wc_product_meta_lookup pml on p.ID  = pml.product_id
where p.post_type  in ( 'product'  , 'product_variation')  ") ) {
  echo "We could not create products view " . $mysqli->error;
}





if (!$mysqli->query(" create OR REPlACE view eda_productos_etiquetas as
select t.name , t.slug, tt.taxonomy,  p.post_name , p.post_type,  p.ID as product_id
from wp_terms t 
inner join   wp_term_taxonomy tt  on t.term_id = tt.term_id
inner join   wp_term_relationships  tr on tr.term_taxonomy_id  = tt.term_taxonomy_id
inner join wp_posts p on tr.object_id = p.ID
where p.post_type  in ( 'product'  , 'product_variation')    ") ) {
  echo "We could not create eda_productos_etiquetas view " . $mysqli->error;
}





if (!$mysqli->query(" create OR REPlACE view eda_productos_categorias as
select post_title as producto,sku.product_id, sku.codigo_producto, wt.name as categoria 
from wp_posts p
inner join ( select meta_value  as codigo_producto , post_id  as product_id
from wp_postmeta where meta_key  = '_sku' ) sku on p.ID = sku.product_id
inner join wp_wc_product_meta_lookup pml on p.ID  = pml.product_id
inner join wp_term_relationships wtr 
on wtr.object_id  = p.ID 
inner join wp_term_taxonomy wtt 
on wtt.term_taxonomy_id  = wtr.term_taxonomy_id 
inner join wp_terms wt  
on wt.term_id  = wtt.term_id 
where p.post_type  in ( 'product'  , 'product_variation')   ") ) {
  echo "We could not create eda_productos_categorias view  " . $mysqli->error;
}

if (!$mysqli->query(" CREATE  or replace view ga_all_data  
as select
 '-' as  page_path ,
 '-' as  source_medium ,
  '-' as  language  ,
  '-' as  country  ,
  '-' as  city  ,
  0 as  users ,
  0 as sessions  ,
  0 as page_views ,
 null as  date  ,
  null as date_date   ") ) {
  echo "We could not create eda_productos_categorias view  " . $mysqli->error;
}

if(!$mysqli->query(" Create or replace view ga_destination_pages as
select  'url' as url  ,
 0 as visits ,
 null as date")){
  echo "We could not create eda_productos_categorias view  " . $mysqli->error;
}

if(!$mysqli->query("  Create or replace view ga_geo as select 
  'language' as language ,
  'country' as country,
  'users' as users,
   null as date")){
  echo "We could not create eda_productos_categorias view  " . $mysqli->error;
}

if(!$mysqli->query(" Create or replace view ga_sessions as select
   null as date,
  'sessions' as sessions ,
  'country' as country,
  'city' as city" )){
  echo "We could not create eda_productos_categorias view  " . $mysqli->error;
}

if(!$mysqli->query(" Create or replace view ga_sources as select
  'source' as source,
  'users' as users,
  null as date")){
  echo "We could not create eda_productos_categorias view  " . $mysqli->error;
}
if (!$mysqli->query(" CREATE OR REPLACE VIEW eda_pedidos AS
select  1 as lineas_de_pedido
, woi.order_id as pedido
, pm.meta_value as metodo_pago
, CAST(os.meta_value as decimal(10,2)) as gastos_envio
, CAST(os.meta_value as decimal(10,2))  as descuento
, woi.order_item_name as producto
, woi.order_item_id  as product_id
, woi.order_item_type as tipo_producto
, CAST(woim.meta_value as decimal(10,2))   as cantidad
, CAST(woim2.meta_value as decimal(10,2))  as subtotal
, CAST(woim3.meta_value as decimal(10,2))  as subtotal_impuestos
, CAST(woim4.meta_value as decimal(10,2))  as total_neto
, CAST(woim5.meta_value as decimal(10,2))  as total_impuestos
, CAST(woim4.meta_value as decimal(10,2))  + CAST(woim5.meta_value as decimal(10,2))   as total_con_impuestos
 , bp.meta_value as codigo_postal_envio
, ce.meta_value as ciudad_envio
, nc.meta_value as nombre_cliente
, coalesce(cupones.order_item_name, '-') cupon
, coalesce(cupones.tipo_cupon, '-') tipo_cupon
, (woim4.meta_value - woim2.meta_value  ) as descuento_neto
, (woim3.meta_value - woim5.meta_value  ) as descuento_impuestos
,   p.post_date    as fecha_pedido
,  date_format(p.post_date, '%Y-%m-%d')  as dia_pedido
from wp_posts p
inner join wp_postmeta ok on p.ID = ok.post_id and  ok.meta_key   = '_order_key'
left join wp_postmeta pm on p.ID = pm.post_id and  pm.meta_key   = '_payment_method_title'
left join wp_postmeta os on p.ID = os.post_id and  os.meta_key   = '_order_shipping'
left join wp_postmeta bp on p.ID = bp.post_id and  bp.meta_key   = '_billing_postcode'
left join wp_postmeta ce on p.ID = ce.post_id and  ce.meta_key   = '_billing_city'
left join wp_postmeta nc on p.ID = nc.post_id and  nc.meta_key   = '_billing_first_name'
left join wp_woocommerce_order_items woi on p.ID = woi.order_id
left join wp_woocommerce_order_itemmeta woim on woi.order_item_id = woim.order_item_id  and woim.meta_key  = '_qty'
left join wp_woocommerce_order_itemmeta woim2 on woi.order_item_id = woim2.order_item_id  and woim2.meta_key  = '_line_subtotal'
left join wp_woocommerce_order_itemmeta woim3 on woi.order_item_id = woim3.order_item_id  and woim3.meta_key  = '_line_subtotal_tax'
left join wp_woocommerce_order_itemmeta woim4 on woi.order_item_id = woim4.order_item_id  and woim4.meta_key  = '_line_total'
left join wp_woocommerce_order_itemmeta woim5 on woi.order_item_id = woim5.order_item_id  and woim5.meta_key  = '_line_tax'
left join ( select oi.order_id , oi.order_item_id , oi.order_item_name , oi.order_item_type as tipo
, oim.meta_key as tipo_cupon , oim.meta_value as  importe_cupon
from wp_woocommerce_order_items oi
inner join wp_woocommerce_order_itemmeta oim on oi.order_item_id  = oim.order_item_id
where oi.order_item_type  = 'coupon'
and oim.meta_key  = 'discount_amount' ) as cupones on p.ID = cupones.order_id
where p.post_type  = 'shop_order'
and p.post_status = 'wc-completed'  ") ) {
  echo "We could not create eda_pedidos view  " . $mysqli->error;
}






if (!$mysqli->query(" CREATE OR REPLACE VIEW eda_pedidos_incompletos AS
select  1 as lineas_de_pedido
, woi.order_id as pedido
, pm.meta_value as metodo_pago
, CAST(os.meta_value as decimal(10,2)) as gastos_envio
, CAST(os.meta_value as decimal(10,2))  as descuento
, woi.order_item_name as producto
, woi.order_item_id  as product_id
, woi.order_item_type as tipo_producto
, CAST(woim.meta_value as decimal(10,2))   as cantidad
, CAST(woim2.meta_value as decimal(10,2))  as subtotal
, CAST(woim3.meta_value as decimal(10,2))  as subtotal_impuestos
, CAST(woim4.meta_value as decimal(10,2))  as total_neto
, CAST(woim5.meta_value as decimal(10,2))  as total_impuestos
, CAST(woim4.meta_value as decimal(10,2))  + CAST(woim5.meta_value as decimal(10,2))   as total_con_impuestos
 , bp.meta_value as codigo_postal_envio
, ce.meta_value as ciudad_envio
, nc.meta_value as nombre_cliente
, coalesce(cupones.order_item_name, '-') cupon
, coalesce(cupones.tipo_cupon, '-') tipo_cupon
, (woim4.meta_value - woim2.meta_value  ) as descuento_neto
, (woim3.meta_value - woim5.meta_value  ) as descuento_impuestos
,   p.post_date    as fecha_pedido
,  date_format(p.post_date, '%Y-%m-%d')  as dia_pedido
from wp_posts p
inner join wp_postmeta ok on p.ID = ok.post_id and  ok.meta_key   = '_order_key'
left join wp_postmeta pm on p.ID = pm.post_id and  pm.meta_key   = '_payment_method_title'
left join wp_postmeta os on p.ID = os.post_id and  os.meta_key   = '_order_shipping'
left join wp_postmeta bp on p.ID = bp.post_id and  bp.meta_key   = '_billing_postcode'
left join wp_postmeta ce on p.ID = ce.post_id and  ce.meta_key   = '_billing_city'
left join wp_postmeta nc on p.ID = nc.post_id and  nc.meta_key   = '_billing_first_name'
left join wp_woocommerce_order_items woi on p.ID = woi.order_id
left join wp_woocommerce_order_itemmeta woim on woi.order_item_id = woim.order_item_id  and woim.meta_key  = '_qty'
left join wp_woocommerce_order_itemmeta woim2 on woi.order_item_id = woim2.order_item_id  and woim2.meta_key  = '_line_subtotal'
left join wp_woocommerce_order_itemmeta woim3 on woi.order_item_id = woim3.order_item_id  and woim3.meta_key  = '_line_subtotal_tax'
left join wp_woocommerce_order_itemmeta woim4 on woi.order_item_id = woim4.order_item_id  and woim4.meta_key  = '_line_total'
left join wp_woocommerce_order_itemmeta woim5 on woi.order_item_id = woim5.order_item_id  and woim5.meta_key  = '_line_tax'
left join ( select oi.order_id , oi.order_item_id , oi.order_item_name , oi.order_item_type as tipo
, oim.meta_key as tipo_cupon , oim.meta_value as  importe_cupon
from wp_woocommerce_order_items oi
inner join wp_woocommerce_order_itemmeta oim on oi.order_item_id  = oim.order_item_id
where oi.order_item_type  = 'coupon'
and oim.meta_key  = 'discount_amount' ) as cupones on p.ID = cupones.order_id
where p.post_type  = 'shop_order'
and p.post_status != 'wc-completed'   ") ) {
  echo "We could not create eda_pedidos_incompletos view " . $mysqli->error;
}



if (DB_HOST == "localhost") {
  $host=$_SERVER['SERVER_NAME'];
}else{
  $host=DB_HOST;
}





$url="https://edalitics.com/eda_woocommerce_gateway/generate?";
$url=$url."source_bbdd=".DB_NAME;
$url=$url."&source_host=".$host;
$url=$url."&source_port=3306" ;
$url=$url."&source_user=".$eda_user;
$url=$url."&source_pass=".$eda_pass;
$url=$url."&username=".urlencode($_POST['username']);
$url=$url."&email=".$_POST['email'];
$url=$url."&eda_user_password=".$eda_user_password;
$url=$url."&locale=".$_POST['locale'];
$url=$url."&updates=".$_POST['updates'];
$url=$url."&acode=".$_POST['acode'];





//echo $url;

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url); 
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
curl_setopt($ch, CURLOPT_HEADER, 0); 
$data = curl_exec($ch); 
curl_close($ch); 




?>
<html>
<head>
<title>Edalitics Plugin</title>
<style type="text/css">
#div1{
    margin-top:100px;
    color:#163c49;
    font-size: large;
}

.boton_personalizado{
   text-decoration: none;
    padding: 10px;
    font-weight: 600;
    font-size: 20px;
    color: #ffffff;
    background-color: #1883ba;
    border-radius: 6px;
    border: 2px solid #0016b0;
}
  .boton_personalizado:hover{
    color: #92ae94;
    background-color: #0a4b78;
    text-decoration: none;
  }

</style>
</head>
<body>

<?php

$json = json_decode($data, true);
if ( $json['ok']=="yes" ) {

  echo ' <div  align="center" id="div1">
  <img src="' ; 
  echo plugins_url( 'edalitics.png', __FILE__ );
  echo '">
      <p>We have successfully created your  Edal<span style="color: #009cc8;">i</span>tics gateway.</p>
      <p>You can go to  ';
  if(  $locale == "es"){
    echo '<a href="https://edalitics.com/myshop" target="_blank" >https://edalitics.com/myshop</a>';
  }else{
    echo '<a href="https://edalitics.com/myshop" target="_blank" >https://edalitics.com/myshop</a>';
  }
  echo ' and start analyzind your shop data.</p>
      <table>
        <tr><td> <p>Your  Edal<span style="color: #009cc8;">i</span>tics user is :</p></td><td><p><b> ';
  echo $_POST['email'];
  echo '</b></p></td></tr>
        <tr><td> <p>Your  Edal<span style="color: #009cc8;">i</span>tics  password is:</p></td><td><p><b> ';
  echo $eda_user_password;
  echo '  </b></p></td></tr>
     </table>
     Keep this information:    <a href=”javascript:window.print()”> Print it</a>
     <br>
    <input   onclick="window.history.go(-1); return false;"     type="button"  class="boton_personalizado"    value="Go back to wordpress" /> 
    </div> ';

}else{
  echo $data;
  echo "<h1>ERROR</h1>";
  echo ' <input   onclick="window.history.go(-1); return false;"     type="button"  class="boton_personalizado"    value="Go back to wordpress" />';
}
  ?>

</body>
</html>
